Summary: Drag and Drop Trashcan
Name: OffiX-Trash
Version: 2.4
Release: 6
Group: Applications/Productivity
Copyright: GPL
Source: ftp://ftp.leb.net/pub/offix/Trash-2.4.tar.gz
Source1: offix-trash.desktop
Patch: Trash-2.4-Xaw3d.patch
BuildRoot: /var/tmp/OffiX-Trash
ExclusiveArch: i386 alpha

%description
Trash is a black-hole intended to be used with "files". Every file dropped
on trash will be moved to a temporary hidden directory. If you want, the
"delete all" button will remove the files in trash from your disk forever.
The good things is that the files in trash can be recovered (undeleted).

%prep
%setup -q -n Trash-2.4
%patch -p1 -b .mike

%build
./configure --prefix=/usr/X11R6 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
install -c -m 644 src/Trash.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Trash
strip $RPM_BUILD_ROOT/usr/X11R6/bin/trash

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
install -m 644 -o root -g root $RPM_SOURCE_DIR/offix-trash.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Applications/ 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS
%config /usr/X11R6/lib/X11/app-defaults/Trash
/usr/X11R6/bin/trash
/etc/X11/applnk/Applications/offix-trash.desktop 

%changelog
* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package 6.0 

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- checked spec file
- built pacakge for 5.2

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- fixed typo that had this desktop file as offix-printer
- added desktop

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged contrib package and cleaned it up a bit.

